<?php
/*---------------------------------------------------+
|	PHP-Fusion 6 Content Management System
+---------------------------------------------------------+
|	Copyright (c) 2005 Nick Jones
|	http://www.php-fusion.co.uk/
+---------------------------------------------------------+
|	Released under the terms & conditions of v2 of the
|	GNU General Public License. For details refer to
|	the included gpl.txt file or visit http://gnu.org
+---------------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");
if (file_exists(INFUSIONS."advanced_downloadDB_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."advanced_downloadDB_panel/locale/".$settings['locale'].".php";
} else { include INFUSIONS."advanced_downloadDB_panel/locale/Lithuanian.php"; }
require_once INFUSIONS."advanced_downloadDB_panel/include/functions.php";

if (iMEMBER) {
	// Get max size from PHP configuration otherwise use user configuration
	if (ini_get('upload_max_filesize') != 0) { $upload_maxsize = str_replace("M","", ini_get('upload_max_filesize'))*1024*1024; }
	if (isset($dldb_id) && !isNum($dldb_id)) fallback(FUSION_SELF);
	if (!isset($step)) $step = "";
	
	$result = dbquery("SELECT * FROM ".DB_PREFIX."adv_dldb_cats");
	if (dbrows($result) != 0) {
		if ($step == "delete") {
			$result = dbquery("DELETE FROM ".DB_PREFIX."adv_dldb WHERE dldb_id='$dldb_id'");
			redirect("dldb.php?dldb_cat_id=$dldb_cat_id");
		}
		if ( isset($_POST['save_download']) )   {
			$dldb_title       = stripinput($_POST['dldb_title']);
			$dldb_description = stripinput($_POST['dldb_description']);
			$upload = $_FILES['userfile'];
			if ($upload['name'] != "" && 
				!empty($upload['name']) && 
				is_uploaded_file($upload['tmp_name']) && 
				$upload['size'] <= $upload_maxsize) {
				$upload_ext = strrchr($upload['name'],".");
				if (in_array($upload_ext, $upload_extensions)) {
					$upload_name = $upload['name'];
					$myFile = BASEDIR."fusion_downloads/".$upload_name;
					move_uploaded_file( $upload['tmp_name'], $myFile );
					chmod($myFile,0755);
				}
			} else { display_message($locale['dldb308']); }
			$dldb_url       = $myFile;
			$dldb_license   = stripinput($_POST['dldb_license']);
			$dldb_os        = stripinput($_POST['dldb_os']);
			$dldb_version   = stripinput($_POST['dldb_version']);
			$dldb_filesize  = get_dldbfilesize($upload['size']);
			if ($dldb_image == '') { $dldb_image = "button_dldb.jpg";}
			if ($step == "edit") {
				$dldbquery = "UPDATE ".DB_PREFIX."adv_dldb SET dldb_title='$dldb_title', dldb_description='$dldb_description', dldb_url='$dldb_url', dldb_cat='$dldb_cat', dldb_license='$dldb_license', dldb_os='$dldb_os', dldb_version='$dldb_version', dldb_filesize='$dldb_filesize', dldb_author='$dldb_author', dldb_email='$dldb_email', dldb_website='$dldb_website', dldb_image='$dldb_image', dldb_rating='$dldb_rating', dldb_datestamp='".time()."' WHERE dldb_id='$dldb_id'";
				$result = dbquery($dldbquery);
				redirect("advanced_dldb_admin.php");
			} else {
				$dldbquery = "INSERT INTO ".DB_PREFIX."adv_dldb VALUES('', '$dldb_title', '$dldb_description', '$dldb_url', '$dldb_cat', '$dldb_license', '$dldb_os', '$dldb_version', '$dldb_filesize', '$dldb_author', '$dldb_email', '$dldb_website', '$dldb_image', '".time()."', '$dldb_rating', '0')";
				$result = dbquery($dldbquery);
				redirect("advanced_dldb_admin.php");
			}
		}
		
		if ($step == "edit") {
			$result = dbquery("SELECT * FROM ".DB_PREFIX."adv_dldb WHERE dldb_id='$dldb_id'");
			$data   = dbarray($result);
			$dldb_title       = $data['dldb_title'];
			$dldb_description = $data['dldb_description'];
			$dldb_url         = $data['dldb_url'];
			$dldb_license     = $data['dldb_license'];
			$dldb_os          = $data['dldb_os'];
			$dldb_author      = $data['dldb_author'];
			$dldb_email       = $data['dldb_email'];
			$dldb_website     = $data['dldb_website'];
			$dldb_version     = $data['dldb_version'];
			$dldb_filesize    = $data['dldb_filesize'];
			$dldb_image    	  = $data['dldb_image'];
			$dldb_image    	  = $data['dldb_rating'];
			$formaction       = FUSION_SELF."?step=edit&dldb_cat_id=$dldb_cat_id&dldb_id=$dldb_id";
			opentable($locale['dldb200']." - ".$locale['dldb305']);
		} else {
			$dldb_title = ""; $dldb_description = ""; $dldb_url = ""; $dldb_license = "";
			$dldb_os    = ""; $dldb_version = ""; $dldb_filesize = ""; $dldb_author = "";
			$dldb_email = ""; $dldb_website = ""; $dldb_image = "";
			$formaction = FUSION_SELF;
			opentable($locale['dldb100']." - ".$locale['dldb306']);
		}
		$editlist    = ""; 
		$image_list  = "";
		$rating_list = "";
		$sel         = "";
		
		$folder = IMAGES_D;
		$temp = opendir($folder);
		$image_list .= "<option value=''>".$locale['dldb622']."</option>\n";
		while ($file = readdir($temp)) {
			
			if (strstr(basename($folder.$file),"_small")) { 
				if ($step == "edit") $sel = ($dldb_image == basename($folder.$file) ? " selected" : "");
				if (!is_dir($folder.$file)) $image_list .= "<option value='".$file."'$sel>".$file."</option>\n";
			}
		}
		if ($image_list) { $image_count = count($image_list); }
		$result2 = dbquery("SELECT * FROM ".DB_PREFIX."adv_dldb_cats ORDER BY dldb_cat_name");
		if (dbrows($result2) != 0) {
			while ($data2 = dbarray($result2)) {
				if ($step == "edit") $sel = ($data['dldb_cat'] == $data2['dldb_cat_id'] ? " selected" : "");
				$editlist .= "<option value='".$data2['dldb_cat_id']."'$sel>".$data2['dldb_cat_name']."</option>\n";
			}
		}
		echo "<table border='0' cellpadding='0' cellspacing='1' width='100%'>\n";;
		echo "<tr><td width='100%'>",dldb_toolbar(),"</td></tr>\n";
		echo "</table>\n";
		tablebreak();
		echo "<form ENCTYPE='multipart/form-data' name='inputform' method='post' action='$formaction'>\n";
		echo "<table border='0' cellpadding='3' cellspacing='1' width='480'><tr>";
		echo "<td width='100%'>";
		echo "<table cellspacing='1' cellpadding='3' width='100%' border='0'>";
		echo "<tr><td width='100%'>\n";
		echo "<table width='100%' border='0' cellpadding='0' cellspacing='1'>\n";
		echo "<tr><td width='80' class='tbl2'>".$locale['dldb207']."</td>\n";
		echo "<td class='tbl1'><input type='text' name='dldb_title' value='$dldb_title' class='textbox' style='width:380px;'></td>\n";
		echo "</tr><tr>\n";
		echo "<td width='80' class='tbl2'>".$locale['dldb208']."</td>\n";
		echo "<td class='tbl1'><textarea name='dldb_description' rows='5' class='textbox' style='width:380px;'>".$dldb_description."</textarea></td>\n";
		echo "</tr>\n";
		echo "<tr><td class='tbl2' colspan='2' align='right'>\n";
		echo "<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('dldb_description', '[b]', '[/b]');\">\n";
		echo "<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('dldb_description', '[i]', '[/i]');\">\n";
		echo "<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('dldb_description', '[u]', '[/u]');\">\n";
		echo "<input type='button' value='url' class='button' style='width:30px;' onClick=\"addText('dldb_description', '[url]', '[/url]');\">\n";
		echo "<input type='button' value='mail' class='button' style='width:35px;' onClick=\"addText('dldb_description', '[mail]', '[/mail]');\">\n";
		echo "<input type='button' value='img' class='button' style='width:30px;' onClick=\"addText('dldb_description', '[img]', '[/img]');\">\n";
		echo "<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('dldb_description', '[center]', '[/center]');\">\n";
		echo "<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('dldb_description', '[small]', '[/small]');\">\n";
		echo "<input type='button' value='code' class='button' style='width:40px;' onClick=\"addText('dldb_description', '[code]', '[/code]');\">\n";
		echo "<input type='button' value='quote' class='button' style='width:45px;' onClick=\"addText('dldb_description', '[quote]', '[/quote]');\">\n";
		echo "</td></tr>\n";
		echo "<tr><td width='80' class='tbl2'>".$locale['dldb217']."</td>\n";
		echo "<td class='tbl1'><INPUT class='textbox' NAME='userfile' TYPE='file' style='width:250px;'></td></tr>\n";
		echo "<tr><td width='80' class='tbl2'>".$locale['dldb218']."</td>\n";
		echo "<td class='tbl1'><select name='dldb_image' class='textbox' style='width:180px;'>$image_list</select></td></tr>\n";
		echo "<tr><td width='80' class='tbl2'>".$locale['dldb212']."</td>\n";
		echo "<td class='tbl1'><select name='dldb_cat' class='textbox' style='width:180px;'>$editlist</select></td></tr>\n";
		echo "<tr><td width='80' class='tbl2'>".$locale['dldb201']."</td>\n";
		echo "<td class='tbl1'><input type='text' name='dldb_license' value='$dldb_license' class='textbox' style='width:180px;'></td></tr>\n";
		echo "<tr><td width='80' class='tbl2'>".$locale['dldb202']."</td>\n";
		echo "<td class='tbl1'><input type='text' name='dldb_os' value='$dldb_os' class='textbox' style='width:180px;'></td></tr>\n";
		echo "<tr><td width='80' class='tbl2'>".$locale['dldb203']."</td>\n";
		echo "<td class='tbl1'><input type='text' name='dldb_version' value='$dldb_version' class='textbox' style='width:180px;'></td></tr>\n";
		echo "<tr><td width='80' class='tbl2'>".$locale['dldb205']."</td>\n";
		echo "<td class='tbl1'><input type='text' name='dldb_author' value='$dldb_author' class='textbox' style='width:180px;'></td></tr>\n";
		echo "<tr><td width='80' class='tbl2'>".$locale['dldb211']."</td>\n";
		echo "<td class='tbl1'><input type='text' name='dldb_website' value='$dldb_website' class='textbox' style='width:180px;'></td></tr>\n";
		echo "<tr><td width='80' class='tbl2'>".$locale['dldb215']."</td>\n";
		echo "<td class='tbl1'><input type='text' name='dldb_email' value='$dldb_email' class='textbox' style='width:180px;'></td></tr>\n";
		echo "<tr><td align='center' colspan='2' class='tbl2'>\n";
		echo "<input type='submit' name='save_download' value='".$locale['dldb307']."' class='button'></td></tr>\n";
		echo "</table>\n";
		echo "</td></tr></table>\n";
		echo "</td></tr></table>\n";
		echo "</td></tr></table>\n";
		echo "</form>\n";
		closetable();
		tablebreak();
		opentable($locale['dldb500']);
		echo "<table border='0' cellpadding='0' cellspacing='1' width='480'>";
		echo "<tr><td width='100%'>";
		echo "<table align='right' cellSpacing='1' cellPadding='1' width='100%' border='0'>";
		echo "<tr><td width='100%'>\n";
		echo "<table width='100%' border='0' cellpadding='0' cellspacing='1'>\n";
		$result = dbquery("SELECT * FROM ".DB_PREFIX."adv_dldb_cats ORDER BY dldb_cat_name");
		if (dbrows($result) != 0) {
			echo "<tr><td class='tbl2'><u>".$locale['dldb501']."</u></td><td align='right' class='tbl2'><u>".$locale['dldb502']."</u></td></tr>";
			echo "<tr><td colspan='2' height='1'></td></tr>\n";
			while ($data = dbarray($result)) {
				if (!isset($dldb_cat_id)) $dldb_cat_id = "";
				if ($data['dldb_cat_id'] == $dldb_cat_id) { $p_img = "off"; $div = ""; } else { $p_img = "on"; $div = "style='display:none'"; }
				echo "<tr><td class='tbl1'><li>".$data['dldb_cat_name']."</td>";
				echo "<td class='tbl1' align='right'><img onclick=\"javascript:flipBox('".$data['dldb_cat_id']."')\" name='b_".$data['dldb_cat_id']."' border='0' src='".INFUSIONS."advanced_downloadDB_panel/images/panel_".$p_img.".gif'></td></tr>\n";
				$result2 = dbquery("SELECT * FROM ".DB_PREFIX."adv_dldb WHERE dldb_cat='".$data['dldb_cat_id']."' ORDER BY dldb_title");
				if (dbrows($result2) != 0) {
					echo "<tr><td colspan='2'><div id='box_".$data['dldb_cat_id']."'".$div.">";
					echo "<table width='100%' cellspacing='0' cellpadding='0' class='tbl'>\n";
					while ($data2 = dbarray($result2)) {
						echo "<tr>
						<td><a href='".$data2['dldb_url']."' target='_blank'>".$data2['dldb_title']."</a></td>
						<td align='right' width='100'><a href='".FUSION_SELF."?step=edit&dldb_cat_id=".$data['dldb_cat_id']."&dldb_id=".$data2['dldb_id']."'>".$locale['dldb503']."</a> -
						<a href='".FUSION_SELF."?step=delete&dldb_cat_id=".$data['dldb_cat_id']."&dldb_id=".$data2['dldb_id']."' onClick='return DeleteItem()'>".$locale['dldb504']."</a></td>
						</tr>\n";
					}
					echo "</table></div></td></tr>\n";
				} else { 
					echo "<tr><td colspan='2'><div id='box_".$data['dldb_cat_id']."' style='display:none'>\n";
					echo "<table width='100%' cellspacing='0' cellpadding='0' class='tbl'>\n";
					echo "<tr><td>".$locale['dldb505']."</td></tr>\n";
					echo "</table></div></td></tr>\n";
				}
			}
			echo "</table>\n";
			echo "</td></tr></table>\n";
			echo "</td></tr></table>\n";
			echo "<script>function DeleteItem() { return confirm('".$locale['dldb460']."'); } </script>\n";
		} else {
			echo "<tr><td align='center'><br>".$locale['dldb506']."<br><br><a href='".INFUSIONS."advanced_downloadDB_panel/dldb_cats.php'>".$locale['dldb507']."<br><br></td></tr></table>\n";
			echo "</td></tr></table>\n";
			echo "</td></tr></table>\n";
		}
		closetable();
	} else {
		opentable($locale['dldb500']);
		echo "<center>".$locale['dldb508']."<br>".$locale['dldb509']."<br><br><a href='".INFUSIONS."advanced_downloadDB_panel/dldb_cats.php'>".$locale['dldb510']."</a>".$locale['dldb511']."</center>\n";
		closetable();
	}
	echo "</td></tr></table>\n";
} else {
	opentable($locale['dldb100']." - v.".$locale['dldb103']);	
	echo "<div align='center' style='margin-top:5px;'><b>".$locale['dldb104']."</b></div>\n";
	closetable();
}

require_once BASEDIR."footer.php";
?>